Bug 84625 - New port: lang/twelf A meta-logical framework for deductive systems
New port: lang/twelf A meta-logical framework for deductive systems
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-06 19:40 UTC by andrew
Modified: 2005-11-26 12:49 UTC (History)
0 users

See Also:


Attachments
file.shar (23.73 KB, text/plain)
2005-08-06 19:40 UTC, andrew
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description andrew 2005-08-06 19:40:18 UTC
The Twelf implementation comprises
 * the LF logical framework, including type reconstruction;
 * the Elf constraint logic programming language;
 * an inductive meta-theorem prover for LF;
 * and an Emacs interface.
Comment 1 pav freebsd_committer 2005-10-08 21:27:47 UTC
State Changed
From-To: open->feedback

Why have you ported 1.4, when 1.5 and even 1.5R1 are available? 

Reply:
My understanding is that 1.5 is a snapshot/working release,
whereas 1.4 is an alpha release, and is thus presumably more
stable.  I'd be happy to try porting 1.5R1 if it's important
to track the latest release.

Cheers,
Comment 2 pav freebsd_committer 2005-10-10 10:22:48 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 3 Edwin Groothuis freebsd_committer 2005-11-26 12:49:46 UTC
State Changed
From-To: open->closed

Committed, thanks!